{ stdenv, pkgs, fetchurl, lib, unzip, autoPatchelfHook, makeWrapper, appimageTools, ... }:

appimageTools.wrapType2 {
  version = "latest";
  pname = "mu-edit";

  src = fetchurl {
    url = "https://github.com/mu-editor/mu/releases/download/v1.2.0/MuEditor-Linux-1.2.0-x86_64.AppImage";
    hash = "";
  };

  extraPkgs = pkgs: [ pkgs.libxcrypt.out ];

  meta = with lib; {
    description = "mu python editos";
    homepage = "https://codewith.mu/";
    downloadPage = "https://codewith.mu/en/download";
    platforms = platforms.linux;
  };
}
